# Build scripts

This directory holds scripts used to build packages for Arachni.

Set the ```ARACHNI_BUILD_BRANCH``` env variable to the branch/tag you
want to build (only versions 0.4.1 and later are supported).
If not set, it will default to ```experimental```.

## build.sh

* Creates a directory structure to host a fresh environment
* Donwloads all library dependencies and installs them in the environment
* Donwloads Ruby and installs it in the environment
* Configures Ruby and installs a few vital gems
* Tests and installs Arachni in the environment

The created environment is self-sufficient in providing the required runtimes
for Arachni and can be moved between systems of identical architecture without issue.

```
            Arachni builder (experimental)
            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 It will create an environment, download and install all dependencies in it,
 configure it and install Arachni itself in it.

     by Tasos Laskos <tasos.laskos@gmail.com>
-------------------------------------------------------------------------

Usage: build.sh [build directory]

Build directory defaults to 'arachni'.

If at any point you decide to cancel the process, re-running the script
will continue from the point it left off.
```

## package.sh

Creates an installer using a build directory (as created by ```build.sh```) and
the template in ```installer.sh.tpl```.

The resulting installer is able to self-extract under a specified directory
(default: ```/opt/```) and create symlinks under ```/usr/local/bin/```.

```
            Arachni packager (experimental)
            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 It packages a build directory, as generated by 'build.sh', into a self-extracting installer.

     by Tasos Laskos <tasos.laskos@gmail.com>
-------------------------------------------------------------------------

Usage: package.sh [installer name] [build directory]

Installer name defaults to 'arachni-installer.sh'.
Build directory defaults to 'arachni'.
```

### installer.sh.tpl

Provides a template for a self-extracting installer.

```
            Arachni installer (experimental)
            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 It extracts a pre-configured, self-contained installation.

     by Tasos Laskos <tasos.laskos@gmail.com>
-------------------------------------------------------------------------

Usage: <installer name> [installation directory]

Installation directory defaults to '/opt/arachni-<version>'.
```

## build_and_package.sh

Drives ```build.sh``` and ```package.sh``` to generate an installer and an archive in the form of:

* ```arachni-<version>-<os>-<arch>-installer.sh```
* ```arachni-<version>-<os>-<arch>.tar.gz```

## cross_build_and_package.sh

Runs ```build_and_package.sh``` from inside a 32bit chroot environment in order
to create 32bit packages.

## build_all.sh

Runs ```cross_build_and_package.sh``` and ```build_and_package.sh``` to create packages
for both 64bit and 32bit architectures.

